Skip to main content
GET
/
api
/
campaigns
Get all campaigns for organization
curl --request GET \
  --url https://your-instance.example.com/api/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "_id": "<string>",
      "organizationId": "<string>",
      "name": "<string>",
      "message": "<string>",
      "userIds": [
        "<string>"
      ],
      "scheduleDate": "2023-11-07T05:31:56Z",
      "process": "<string>",
      "contactStatus": "<string>",
      "isAutopilot": true,
      "type": "<string>",
      "status": "<string>",
      "createdBy": {},
      "failedUserIds": [
        "<string>"
      ],
      "failedDetails": [
        {}
      ],
      "segmentation": {},
      "assignment": {},
      "rawCsvData": {},
      "stats": {
        "total": 123,
        "sent": 123,
        "failed": 123,
        "successRate": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
string

Response

Campaigns returned

success
boolean
data
object[]